<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="3.5">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.21022</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{E63B005C-852C-4D06-A49D-37838EA5A2B2}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AssemblyName>MonoDevelop.Database.Sql.Oracle</AssemblyName>
    <TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\build</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <ConsolePause>false</ConsolePause>
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <Execution>
      <Execution clr-version="Net_2_0" />
    </Execution>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>none</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\..\build\AddIns\MonoDevelop.Database</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <ConsolePause>false</ConsolePause>
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <Execution>
      <Execution clr-version="Net_2_0" />
    </Execution>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Data.OracleClient" />
    <Reference Include="System.Data" />
    <Reference Include="MonoDevelop.Core, Version=1.9.2.0, Culture=neutral">
      <Package>monodevelop</Package>
    </Reference>
    <Reference Include="MonoDevelop.Core.Gui, Version=1.9.2.0, Culture=neutral">
      <Package>monodevelop</Package>
    </Reference>
    <Reference Include="MonoDevelop.Components, Version=1.9.2.0, Culture=neutral">
      <Package>monodevelop</Package>
    </Reference>
    <Reference Include="MonoDevelop.Ide, Version=1.9.2.0, Culture=neutral">
      <Package>monodevelop</Package>
    </Reference>
    <Reference Include="gtk-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
    <Reference Include="glib-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
    <Reference Include="gdk-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
    <Reference Include="Mono.Posix" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\MonoDevelop.Database.Sql\MonoDevelop.Database.Sql.csproj">
      <Project>{04CA279D-CDAB-4A90-A78C-75EF8367AFD0}</Project>
      <Name>MonoDevelop.Database.Sql</Name>
    </ProjectReference>
    <ProjectReference Include="..\MonoDevelop.Database.Components\MonoDevelop.Database.Components.csproj">
      <Project>{70E5F8DB-FB9B-41BE-A4D5-4075056C6D04}</Project>
      <Name>MonoDevelop.Database.Components</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="OracleConnectionProvider.cs" />
    <Compile Include="OracleSchemaProvider.cs" />
    <Compile Include="OracleDbFactory.cs" />
    <Compile Include="OracleDialect.cs" />
    <Compile Include="OraclePooledDbConnection.cs" />
    <Compile Include="OracleGuiProvider.cs" />
    <Compile Include="AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="MonoDevelop.Database.Sql.Oracle.addin.xml" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Schema/" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <ProjectExtensions>
    <MonoDevelop>
      <Properties>
        <Deployment.LinuxDeployData generatePcFile="false" />
        <GtkDesignInfo gettextClass="AddinCatalog" />
      </Properties>
    </MonoDevelop>
  </ProjectExtensions>
</Project>